My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexButton Class Reference
Nextion Component

`#include <NexButton.h>`

Inheritance diagram for NexButton:

## Public Member Functions
| NexButton (uint8_t pid, uint8_t cid, const char *name)
uint16_t | getText (char *buffer, uint16_t len)
bool | setText (const char *buffer)
uint32_t | Get_background_color_bco (uint32_t *number)
bool | Set_background_color_bco (uint32_t number)
uint32_t | Get_press_background_color_bco2 (uint32_t *number)
bool | Set_press_background_color_bco2 (uint32_t number)
uint32_t | Get_font_color_pco (uint32_t *number)
bool | Set_font_color_pco (uint32_t number)
uint32_t | Get_press_font_color_pco2 (uint32_t *number)
bool | Set_press_font_color_pco2 (uint32_t number)
uint32_t | Get_place_xcen (uint32_t *number)
bool | Set_place_xcen (uint32_t number)
uint32_t | Get_place_ycen (uint32_t *number)
bool | Set_place_ycen (uint32_t number)
uint32_t | getFont (uint32_t *number)
bool | setFont (uint32_t number)
uint32_t | Get_background_cropi_picc (uint32_t *number)
bool | Set_background_crop_picc (uint32_t number)
uint32_t | Get_press_background_crop_picc2 (uint32_t *number)
bool | Set_press_background_crop_picc2 (uint32_t number)
uint32_t | Get_background_image_pic (uint32_t *number)
bool | Set_background_image_pic (uint32_t number)
uint32_t | Get_press_background_image_pic2 (uint32_t *number)
bool | Set_press_background_image_pic2 (uint32_t number)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexButton component.

Commonly, you want to do something after push and pop it. It is recommanded that only call NexTouch::attachPop to satisfy your purpose.

Warning
  Please do not call NexTouch::attachPush on this component, even though you can.

## Constructor & Destructor Documentation

NexButton::NexButton | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

uint32_t NexButton::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_background_cropi_picc | ( | uint32_t * | number | ) |

Get picc attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_background_image_pic | ( | uint32_t * | number | ) |

Get pic attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_place_xcen | ( | uint32_t * | number | ) |

Get xcen attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_place_ycen | ( | uint32_t * | number | ) |

Get ycen attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_press_background_color_bco2 | ( | uint32_t * | number | ) |

Get bco2 attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_press_background_crop_picc2 | ( | uint32_t * | number | ) |

Get picc2 attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_press_background_image_pic2 | ( | uint32_t * | number | ) |

Get pic2 attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::Get_press_font_color_pco2 | ( | uint32_t * | number | ) |

Get pco2 attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint32_t NexButton::getFont | ( | uint32_t * | number | ) |

Get font attribute of component

Parameters

  number | - buffer storing data return

Returns
  the length of the data

uint16_t NexButton::getText | ( | char * | buffer,
|  | uint16_t | len
| ) |  |

Get text attribute of component.

Parameters

  buffer | - buffer storing text returned.
  len | - length of buffer.

Returns
  The real length of text returned.

bool NexButton::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_background_image_pic | ( | uint32_t | number | ) |

Set pic attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_place_xcen | ( | uint32_t | number | ) |

Set xcen attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_place_ycen | ( | uint32_t | number | ) |

Set ycen attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_press_background_color_bco2 | ( | uint32_t | number | ) |

Set bco2 attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_press_background_crop_picc2 | ( | uint32_t | number | ) |

Set picc2 attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_press_background_image_pic2 | ( | uint32_t | number | ) |

Set pic2 attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::Set_press_font_color_pco2 | ( | uint32_t | number | ) |

Set pco2 attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::setFont | ( | uint32_t | number | ) |

Set font attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexButton::setText | ( | const char * | buffer | ) |

Set text attribute of component.

Parameters

  buffer | - text buffer terminated with '\0'.

Returns
  true if success, false for failure.

The documentation for this class was generated from the following files:

- NexButton.h
- NexButton.cpp